import * as React from 'react';
import { Route, Switch } from 'react-router-dom';
import { AsyncComponent } from './AsyncComponent';
import './App.css';

const logo = require('./logo.svg');

class App extends React.Component<{}, {}> {
  render() {
    return (
      <div className="App">
        <div className="App-header">
          <img src={logo} className="App-logo" alt="logo" />
          <h2>Welcome to React</h2>
        </div>
        <div className="App-intro">
          <Switch>
            <Route
              path="/"
              exact={true}
              component={AsyncComponent(() => import(/* webpackChunkName: "homejs" */ './Home'))}
            />
            <Route
              path="/other"
              exact={true}
              component={AsyncComponent(() => import(/* webpackChunkName: "otherjs" */ './Other'))}
            />            
          </Switch>
        </div>
      </div>
    );
  }
}

export default App;
